# $Id: super.rb,v 1.1 2002/12/04 09:03:01 yuya Exp $

class Foo
  def initialize(arg)
    p(:Foo)
    p(arg)
  end
end

class Bar < Foo
  def initialize(arg)
    p(:Bar)
    super(arg)
  end
end

Bar.new(:ok)
